<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."posts_number_checker/locale/".$settings['locale'].".php")) {
	include INFUSIONS."posts_number_checker/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."posts_number_checker/locale/English.php";
}

function get_user_posts($id) {
$nrposts=dbquery("SELECT count(*) FROM ".DB_PREFIX."posts WHERE post_author=$id");
$np=dbarray($nrposts);
$number=$np['count(*)'];
return $number;
}

function show_tab_head(){
global $locale;
echo "<p>
<table cellspacing=\"0\" border=\"1\">\n
  <tr class=\"side-label\" style=\"font-weight:bold;background-color:#D09E00;color:black\">\n
    <td style=\"padding:3px\">#</td>\n
    <td style=\"padding:3px\">".$locale['pnc105']."</td>\n
    <td style=\"padding:3px\">".$locale['pnc106']."</td>\n
    <td style=\"padding:3px\">".(isset($_POST['pnupd']) ? $locale['pnc107b'] : $locale['pnc107a'])."</td>\n
    <td style=\"padding:3px\">".$locale['pnc108']."</td>\n";
echo "  </tr>";
}

if (isset($_POST['pnchk']) || isset($_POST['pnupd'])) {
   opentable($locale['pnc100']);
   $idlist="";
   $namelist="";
   $pnlist="";
   $updn=0;
   $res=dbquery("SELECT user_id,user_name,user_posts FROM ".DB_PREFIX."users");
   while ($member=dbarray($res)) {
         $idlist[].=$member['user_id'];
         $namelist[].=$member['user_name'];
         $pnlist[].=$member['user_posts'];
   }
   for ($i=0;$i<count($idlist);$i++) {
       $id=$idlist[$i];
       $mpn=$pnlist[$i];
       // get actual number of posts
       $apn=get_user_posts($id);
       // update posts number in profile
       if ($mpn!=$apn) {
          $updn++;
          if ($updn==1) show_tab_head();
          if (isset($_POST['pnupd'])) {
             $update=dbquery("UPDATE ".DB_PREFIX."users SET user_posts=".$apn." WHERE user_id=".$id);
          }
       // read updated number of posts
       $upn=get_user_posts($id);
       // display data
       if ($i/2==round($i/2)) echo "  <tr style=\"background-color:#fff\">\n";
          else echo "  <tr style=\"background-color:#ddd\">\n";
       echo "    <td style=\"padding:3px\">";
       echo $i+1;
       echo "</td>\n";
       echo "    <td style=\"padding:3px\">$id</td>\n";
       echo "    <td style=\"padding:3px\">$namelist[$i]</td>\n";
       echo "    <td style=\"padding:3px\">$mpn</td>\n";
       echo "    <td style=\"padding:3px";
       if ($mpn!=$upn && !isset($_POST['pnupd'])) echo ";color:red\">".$upn;
          else echo "\">".$upn;
       echo "</td>\n";
       echo "  </tr>\n";
       }
   }
   if ($updn>0) echo "</table>\n</p>";
   if (isset($_POST['pnchk'])) {
      echo "<p>".$locale['pnc109']."<strong>".$updn."</strong></p>";
      if ($updn>0) {
         echo $locale['pnc110'];
         echo "<div style=\"text-align:center\"><form method=\"POST\"><input type=\"submit\" name=\"pnupd\" value=\"".$locale['pnc104']."\" class=\"button\"></form></div>";
      }
   }
   elseif (isset($_POST['pnupd'])) {
          echo "<p>".$locale['pnc111']."<strong>".$updn."</strong></p>";
          echo $locale['pnc112']."<strong>".$locale['083']." -> ".$locale['ac03']." -> ".$locale['233']."</strong>";
   }
   unset($_POST['pnchk'], $_POST['pnupd'], $idlist, $namelist, $pnlist, $res);
   closetable();
}

else {
     opentable($locale['pnc100']);
     if ($settings['maintenance']==0)
        echo $locale['pnc102a']."<strong>".$locale['083']." -> ".$locale['ac03']." -> ".$locale['233']."</strong>";
     if ($settings['maintenance']==1) {
        echo $locale['pnc102b'];
        echo "<div style=\"text-align:center\"><form method=\"POST\"><input type=\"submit\" name=\"pnchk\" value=".$locale['pnc103']." class=\"button\"></form></div>";
     }
     closetable();
}
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>